package com.miaxis.newgzpt.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.newgzpt.domain.GzptVideoVip;
import com.miaxis.newgzpt.dto.GzptVideoVipDTO;

/**
 * <p>
 * 视频VIP表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
public interface IGzptVideoVipService extends IService<GzptVideoVip> {


    void saveGzptVideoVip(GzptVideoVip gzptVideoVip);

    void updateGzptVideoVipByUserId(GzptVideoVip gzptVideoVip);

    GzptVideoVip getGzptVideoVipByUserId(GzptVideoVipDTO gzptVideoVipDTO);

    GzptVideoVip getGzptVideoVipByUserIdForLocal(GzptVideoVipDTO gzptVideoVipDTO);

    int removeByUserId(Long userId);
}
